package yui.example.datavisualization.action
{
	import flash.events.MouseEvent;
	
	import org.seasar.akabana.yui.framework.event.FrameworkEvent;
	import org.seasar.akabana.yui.logging.Logger;
	import org.seasar.akabana.yui.service.event.ResultEvent;
	
	import yui.example.datavisualization.helper.ExampleHelper;
	import yui.example.datavisualization.logic.ExampleLogic;
	
	public class ExampleAction
	{
		public var logger:Logger = Logger.getLogger( ExampleAction );
		
		public var helper:ExampleHelper;
		
		public var logic:ExampleLogic;
		
		public function onAssembleCompleteHandler( event:FrameworkEvent ):void
		{
			logger.debug( "onAssembleCompleteHandler" );
			logic.getData( getData_resultHandler );
		} 
		
		public function printButtonClickHandler( event:MouseEvent ):void
		{
			logger.debug( "printButtonClickHandler" );
			helper.print();	
		}
		
		private function getData_resultHandler( event:ResultEvent ):void
		{
			helper.setupView( event.result as Array );
		}
	}
}